Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.corelib.internal
Class HiddenFieldPositioner

    java.lang.Object
      org.apache.tapestry5.corelib.internal.HiddenFieldPositioner

    public class HiddenFieldPositioner

extends java.lang.Object

Used to position a hidden field (as part of a form-related component). Hidden fields are not allowed to go just anywhere, there are rules, dictated by the (X)HTML schema, about where they are allowed. We use the `MarkupWriterListener` interface to monitor elements as they are started and ended to find a place to put content.

Constructor Summary
`HiddenFieldPositioner(MarkupWriter writer, HiddenFieldLocationRules rules)`

Method Summary
`void` | `discard()` Discard this positioner (an alternative to invoking `getElement()`).
`Element` | `getElement()` Returns the hidden field element, which can have its attributes filled in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HiddenFieldPositioner

    public HiddenFieldPositioner(MarkupWriter writer,
                                 HiddenFieldLocationRules rules)

Method Detail

### getElement

    public Element getElement()

  Returns the hidden field element, which can have its attributes filled in.

  Returns:
    the element
  Throws:
    `java.lang.IllegalStateException` - if the element was not positioned

### discard

    public void discard()

  Discard this positioner (an alternative to invoking `getElement()`). If an `Element` has been created for the hidden field, that element is removed.

  Since:
    5.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.